package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetRelationInfoListDTO;
import com.diagbot.dto.RelationNodeDTO;
import com.diagbot.entity.Relation;
import com.diagbot.vo.GetRelationInfoListVO;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
public interface RelationMapper extends BaseMapper<Relation> {
	
	
	IPage<GetRelationInfoListDTO> getRelationInfoList(GetRelationInfoListVO getRelationInfoListVO);
	
	List<RelationNodeDTO> getRelationNodeDTOs(Long conceptId,Long relationId);
	
}
